%define section   devel
%define base_name commons-graph
%define base_version 0.8.1

Name:           jakarta-%{base_name}
Version:        %{base_version}.cvs20040118
Release:        4jpp_1rh
Epoch:          0
Summary:        Commons Graph Package

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://cvs.apache.org/viewcvs/jakarta-commons-sandbox/graph2/
Source0:        graph2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
#Distribution:   JPackage
#Vendor:         JPackage Project
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-junit
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  jdepend >= 0:2.6
BuildRequires:  jakarta-commons-collections >= 0:2.1
BuildRequires:  log4j >= 0:1.2.8
BuildRequires:  xml-commons-apis >= 0:1.0
Requires:       jdepend >= 0:2.6
Requires:       jakarta-commons-collections >= 0:2.1
Requires:       log4j >= 0:1.2.8
Requires:       xml-commons-apis >= 0:1.0

%description
Jakarta Graph is a toolkit for managing graphs and graph based data structures.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}


%prep
%setup -q -n graph2-%{version}


%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath jdepend commons-collections log4j xml-commons-apis )
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only dist


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/%{base_name}-%{base_version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-%{version}.jar
ln -s %{base_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}.jar
# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Tue Apr 26 2005 Fernando Nasser <fnasser@redhat.com> - 0:0.8.2.cvs20040118-4jpp_1rh
- First Red Hat build

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:0.8.2.cvs20040118-4jpp
- Rebuild with ant-1.6.2

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.8.2.cvs20040118-3jpp
- Void change

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:0.8.2.cvs20040118-2jpp
- Upgrade to Ant 1.6.X

* Mon Jan 19 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.8.2.cvs20040118-1jpp
- First JPackage release.
